DictionaryNameFinder (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.namefind, class: DictionaryNameFinder

Package opennlp.tools.namefind

# Class DictionaryNameFinder

java.lang.Object
opennlp.tools.namefind.DictionaryNameFinder

All Implemented Interfaces:
  `opennlp.tools.namefind.TokenNameFinder`

public class DictionaryNameFinder extends Object implements opennlp.tools.namefind.TokenNameFinder
This is a `Dictionary` based `name finder`. It scans text for names inside a provided dictionary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DictionaryNameFinder(Dictionary dictionary)`
  Initializes a `DictionaryNameFinder` with the provided `Dictionary` and `DEFAULT_TYPE`.
  `DictionaryNameFinder(Dictionary dictionary, String type)`
  Initializes a `DictionaryNameFinder` with the provided `Dictionary` and a `type`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAdaptiveData()`
  `opennlp.tools.util.Span[]`
  `find(String[] textTokenized)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DictionaryNameFinder

    public DictionaryNameFinder(Dictionary dictionary, String type)
    Initializes a `DictionaryNameFinder` with the provided `Dictionary` and a `type`.
    Parameters:
      `dictionary` - The `Dictionary` to use. Must not be `null`.
      `type` - the name type used for the produced spans. Must not be `null`.

  - ### DictionaryNameFinder

    public DictionaryNameFinder(Dictionary dictionary)
    Initializes a `DictionaryNameFinder` with the provided `Dictionary` and `DEFAULT_TYPE`.
    Parameters:
      `dictionary` - The `Dictionary` to use. Must not be `null`.

- ## Method Details

  - ### find

    public opennlp.tools.util.Span[] find(String[] textTokenized)
    Specified by:
      `find` in interface `opennlp.tools.namefind.TokenNameFinder`

  - ### clearAdaptiveData

    public void clearAdaptiveData()
    Specified by:
      `clearAdaptiveData` in interface `opennlp.tools.namefind.TokenNameFinder`